<template>
  <q-page class="q-pa-sm">
    <div class="row q-col-gutter-sm q-py-sm" style="width: 100%">
      <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
        <q-card class="text-grey-8" style="width: 100%">
          <q-card-section class="q-pa-none">
            <q-table class="no-shadow"
                     :data="data"
                     title="Data Akun Kelas"
                     :hide-header="mode === 'grid'"
                     :columns="columns"
                     row-key="name"
                     :filter="filter"
                     :pagination.sync="pagination"
                     hide-bottom
            >
              <template v-slot:top-right="props">
                <q-btn
                  color="primary"
                  label="Tambah Akun"
                  no-caps
                  to="/baak/ketua_kelas"
                />
              </template>
              <template v-slot:body-cell-Action="props">
                <q-td :props="props">
                  <q-btn icon="edit" size="sm" flat dense/>
                  <q-btn icon="delete" size="sm" class="q-ml-sm" flat dense/>
                </q-td>
              </template>
            </q-table>
          </q-card-section>
        </q-card>
      </div>
    </div>
  </q-page>
</template>

<script>

  export default {
    name: 'Akun_Ketua_Kelas',
    data() {
      return {
                filter: '',
                mode: 'list',
                columns: [
                    {
                      name: 'no', 
                      align: 'left', 
                      label: 'No.', 
                      field: 'no', 
                      sortable: true
                    },
                    {
                      name: 'nama', 
                      align: 'left', 
                      label: 'Nama', 
                      field: 'nama', 
                      sortable: true
                    },
                    {
                        name: 'kelas',
                        align: 'left',
                        label: 'Kelas',
                        field: 'kelas',
                        sortable: true
                    },
                    {
                        name: 'password',
                        align: 'left',
                        label: 'Password',
                        field: 'password',
                        sortable: true
                    },
                    {name: 'Action', label: 'Aksi', field: 'Action', sortable: false, align: 'center'}
                ],
                data: [
                    {
                      no: '1',
                      nama: 'Bongson Hutagaol',
                      kelas: '42 TRPL', 
                      password: '********',
                    },
                ],

            }
        }
}
</script>